Debian Bug report logs - #635005
libasound2-plugins-equal: Please install ALSA plugin in the multiarch directory

version graph

Package: libasound2-plugin-equal; Maintainer for libasound2-plugin-equal is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libasound2-plugin-equal is src:alsaequal.

Reported by: Jordi Mallach <jordi@debian.org>

Date: Thu, 21 Jul 2011 15:57:01 UTC

Severity: important

Found in version alsaequal/0.6-1

Fixed in version alsaequal/0.6-2

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#635005; Package libasound2-plugin-equal. (Thu, 21 Jul 2011 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 21 Jul 2011 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libasound2-plugins-equal: Please install ALSA plugin in the multiarch directory
Date: Thu, 21 Jul 2011 17:55:47 +0200
Package: libasound2-plugin-equal
Version: 0.6-1
Severity: important

Hi,

alsa-lib will imminently switch to Multiarch, and plugins will move from
/usr/lib/alsa-lib to /usr/lib/<triplet>/alsa-lib, which means alsaequal
will be unusable as soon as this happens.

As alsaequal uses a static makefile, I guess the easiest way to do this
will be to just move the generated plugin to the correct location after
the makefile installs it to the old /usr/lib/alsa-lib dir, overriding the
install rule.

See http://wiki.debian.org/Multiarch/Implementation for details.

A NMU will follow a few days after the upload of alsa-lib to ensure the
new alsa-lib can transition to testing soon enough so it does not disrupt
current transitions.

Thanks,
Jordi

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8@valencia, LC_CTYPE=ca_ES.UTF-8@valencia (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Thu, 28 Jul 2011 06:21:06 GMT) Full text and rfc822 format available.

Notification sent to Jordi Mallach <jordi@debian.org>:
Bug acknowledged by developer. (Thu, 28 Jul 2011 06:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 635005-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 635005-close@bugs.debian.org
Subject: Bug#635005: fixed in alsaequal 0.6-2
Date: Thu, 28 Jul 2011 06:17:10 +0000
Source: alsaequal
Source-Version: 0.6-2

We believe that the bug you reported is fixed in the latest version of
alsaequal, which is due to be installed in the Debian FTP archive:

alsaequal_0.6-2.debian.tar.gz
  to main/a/alsaequal/alsaequal_0.6-2.debian.tar.gz
alsaequal_0.6-2.dsc
  to main/a/alsaequal/alsaequal_0.6-2.dsc
libasound2-plugin-equal_0.6-2_amd64.deb
  to main/a/alsaequal/libasound2-plugin-equal_0.6-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635005@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated alsaequal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Jul 2011 07:52:32 +0200
Source: alsaequal
Binary: libasound2-plugin-equal
Architecture: source amd64
Version: 0.6-2
Distribution: unstable
Urgency: low
Maintainer: siretart <siretart@tauware.de>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 libasound2-plugin-equal - equalizer plugin for ALSA
Closes: 635005
Changes: 
 alsaequal (0.6-2) unstable; urgency=low
 .
   * Team upload
 .
   [ Alessio Treglia ]
   * Replace the note with the newest one used by FSF.
 .
   [ Alessandro Ghedini ]
   * Fix copy-paste typo in LGPL note
   * Add missing 'Lesser' in LGPL license
   * Build on Linux only
 .
   [ Reinhard Tartler ]
   * Install into multiarch directories. Closes: #635005
   * Bump standards version (no changes needed)
   * update Vcs-Browser field
Checksums-Sha1: 
 df1dc135f6250447efc784f7516908cb98d549cf 1378 alsaequal_0.6-2.dsc
 9066b10454abf2238bcbe8033149ceb6a58ffd23 11471 alsaequal_0.6-2.debian.tar.gz
 062097b23d3a3f91577557fcbc0649f0e424ad23 15612 libasound2-plugin-equal_0.6-2_amd64.deb
Checksums-Sha256: 
 10ee5202a29155cd4975854a2db907481f2edaabb6e03de30f4557c350c8dfa2 1378 alsaequal_0.6-2.dsc
 3cc3329861e0eadfed9481ad5ff7c453d3143acf33d2a34037783a9e009f8b8a 11471 alsaequal_0.6-2.debian.tar.gz
 efdbac9f6a406f3164a5f1e63433294ab6a368b80f88714fed2a439ba9efe269 15612 libasound2-plugin-equal_0.6-2_amd64.deb
Files: 
 e8f7e1729cebdb259cf481a9f67be51c 1378 libs optional alsaequal_0.6-2.dsc
 56d65c9ac6296bf241588b01cdb19088 11471 libs optional alsaequal_0.6-2.debian.tar.gz
 81bb6c80065e334f81b579f4b5a3b2eb 15612 libs optional libasound2-plugin-equal_0.6-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk4w/IkACgkQmAg1RJRTSKQpUwCdGpblbwFR01qZf1tvxSz4o9wF
NOQAn0YaDkWjcHoA72tnvOvynQ+TdMcm
=i0bp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Sep 2011 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:14:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.